include	doszip/doszip.inc
include	conio.inc

	public	cmmkdir

extrn	cp_mkdir:byte

_DZIP	SEGMENT

cmmkdir	PROC DIST pascal
local	path[WMAXPATH]:byte
  ifdef __ROT__
	mov	bx,cpanel
	mov	bx,[bx]
	test	[bx.wp_flag],_W_ROOTDIR
	jnz	@F
  endif
	mov	ax,cpanel
	call	panel_state
	jz	@F
	mov	path,0
	invoke	tgetline,addr cp_mkdir,addr path,0028h,0104h
	or	ax,ax
	jz	@F
	xor	ax,ax
	cmp	path,al
	je	@F
	mov	bx,cpanel
	invoke	wsmkdir,[bx].pn_wsub,addr path
	call	ret_update_AB
    @@:
	ret
cmmkdir	ENDP

_DZIP	ENDS

	END
